import type { ExtractPropTypes, ImgHTMLAttributes, Plugin } from 'vue';
import { imageProps } from '../vc-image/src/Image';
import PreviewGroup from './PreviewGroup';
export type ImageProps = Partial<ExtractPropTypes<ReturnType<typeof imageProps>> & Omit<ImgHTMLAttributes, 'placeholder' | 'onClick'>>;
declare const Image: import("vue").DefineComponent<Partial<{
    preview: boolean | import("../vc-image").ImagePreviewType;
    wrapperStyle: import("vue").CSSProperties;
} & {
    onError?: OnErrorEventHandlerNonNull;
    onClick?: import("../_util/EventInterface").MouseEventHandler;
    prefixCls?: string;
    placeholder?: any;
    src?: string;
    wrapperClassName?: string;
    rootClassName?: string;
    previewPrefixCls?: string;
    previewMask?: false | (() => any);
    fallback?: string;
} & Omit<ImgHTMLAttributes, "onClick" | "placeholder">>, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<Partial<{
    preview: boolean | import("../vc-image").ImagePreviewType;
    wrapperStyle: import("vue").CSSProperties;
} & {
    onError?: OnErrorEventHandlerNonNull;
    onClick?: import("../_util/EventInterface").MouseEventHandler;
    prefixCls?: string;
    placeholder?: any;
    src?: string;
    wrapperClassName?: string;
    rootClassName?: string;
    previewPrefixCls?: string;
    previewMask?: false | (() => any);
    fallback?: string;
} & Omit<ImgHTMLAttributes, "onClick" | "placeholder">>>, {
    class?: any;
    placeholder?: any;
    inlist?: any;
}, {}>;
export { imageProps };
export { PreviewGroup as ImagePreviewGroup };
declare const _default: typeof Image & Plugin & {
    readonly PreviewGroup: typeof PreviewGroup;
};
export default _default;
