import type { ExtractPropTypes, PropType } from 'vue';
export declare const skeletonButtonProps: () => {
    size: PropType<"large" | "small" | "default">;
    block: BooleanConstructor;
    prefixCls: StringConstructor;
    shape: PropType<"circle" | "square" | "round" | "default">;
    active: {
        type: BooleanConstructor;
        default: any;
    };
};
export type SkeletonButtonProps = Partial<ExtractPropTypes<ReturnType<typeof skeletonButtonProps>>>;
declare const SkeletonButton: import("vue").DefineComponent<{
    size: PropType<"large" | "small" | "default">;
    block: BooleanConstructor;
    prefixCls: StringConstructor;
    shape: PropType<"circle" | "square" | "round" | "default">;
    active: {
        type: BooleanConstructor;
        default: any;
    };
}, () => import("vue/jsx-runtime").JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<ExtractPropTypes<{
    size: PropType<"large" | "small" | "default">;
    block: BooleanConstructor;
    prefixCls: StringConstructor;
    shape: PropType<"circle" | "square" | "round" | "default">;
    active: {
        type: BooleanConstructor;
        default: any;
    };
}>>, {
    block: boolean;
    active: boolean;
}, {}>;
export default SkeletonButton;
