import _objectSpread from "@babel/runtime/helpers/esm/objectSpread2";
import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
const _excluded = ["height"],
  _excluded2 = ["style"];
import { createVNode as _createVNode, resolveDirective as _resolveDirective } from "vue";
import { defineComponent } from 'vue';
import Upload from './Upload';
import { uploadProps } from './interface';
export default defineComponent({
  compatConfig: {
    MODE: 3
  },
  name: 'AUploadDragger',
  inheritAttrs: false,
  props: uploadProps(),
  setup(props, _ref) {
    let {
      slots,
      attrs
    } = _ref;
    return () => {
      const {
          height
        } = props,
        restProps = _objectWithoutProperties(props, _excluded);
      const {
          style
        } = attrs,
        restAttrs = _objectWithoutProperties(attrs, _excluded2);
      const draggerProps = _objectSpread(_objectSpread(_objectSpread({}, restProps), restAttrs), {}, {
        type: 'drag',
        style: _objectSpread(_objectSpread({}, style), {}, {
          height: typeof height === 'number' ? `${height}px` : height
        })
      });
      return _createVNode(Upload, draggerProps, slots);
    };
  }
});