import type { ExtractPropTypes } from 'vue';
export declare const optionProps: {
    value: StringConstructor;
    disabled: BooleanConstructor;
    label: (StringConstructor | FunctionConstructor | NumberConstructor)[];
};
export type OptionProps = Partial<ExtractPropTypes<typeof optionProps>>;
export declare const optionOptions: {
    name: string;
    props: {
        value: StringConstructor;
        disabled: BooleanConstructor;
        label: (StringConstructor | FunctionConstructor | NumberConstructor)[];
    };
    render(_props: any, { slots }: any): any;
};
declare const _default: import("vue").DefineComponent<{
    value: StringConstructor;
    disabled: BooleanConstructor;
    label: (StringConstructor | FunctionConstructor | NumberConstructor)[];
}, unknown, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<ExtractPropTypes<{
    value: StringConstructor;
    disabled: BooleanConstructor;
    label: (StringConstructor | FunctionConstructor | NumberConstructor)[];
}>>, {
    disabled: boolean;
}, {}>;
export default _default;
