import { cloneVNode } from 'vue';
import { flattenChildren } from '../_util/props-util';
const Item = (_ref, _ref2) => {
  var _slots$default;
  let {
    setRef
  } = _ref;
  let {
    slots
  } = _ref2;
  const children = flattenChildren((_slots$default = slots.default) === null || _slots$default === void 0 ? void 0 : _slots$default.call(slots));
  return children && children.length ? cloneVNode(children[0], {
    ref: setRef
  }) : children;
};
Item.props = {
  setRef: {
    type: Function,
    default: () => {}
  }
};
export default Item;