import type { CustomSlotsType, VueNode } from '../_util/type';
declare const _default: import("vue").DefineComponent<{
    prefixCls: StringConstructor;
    type: import("vue-types").VueTypeDef<"circle" | "line" | "dashboard">;
    percent: NumberConstructor;
    format: {
        type: import("vue").PropType<(percent?: number, successPercent?: number) => VueNode>;
    };
    status: import("vue-types").VueTypeDef<"normal" | "active" | "success" | "exception">;
    showInfo: {
        type: BooleanConstructor;
        default: any;
    };
    strokeWidth: NumberConstructor;
    strokeLinecap: import("vue").PropType<"butt" | "square" | "round">;
    strokeColor: {
        type: import("vue").PropType<string | import("./props").ProgressGradient>;
        default: string | import("./props").ProgressGradient;
    };
    trailColor: StringConstructor;
    width: NumberConstructor;
    success: {
        type: import("vue").PropType<import("./props").SuccessProps>;
        default: () => import("./props").SuccessProps;
    };
    gapDegree: NumberConstructor;
    gapPosition: import("vue").PropType<"top" | "bottom" | "left" | "right">;
    size: import("vue-types").VueTypeDef<"default" | "small">;
    steps: NumberConstructor;
    successPercent: NumberConstructor;
    title: StringConstructor;
}, () => import("vue/jsx-runtime").JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    prefixCls: StringConstructor;
    type: import("vue-types").VueTypeDef<"circle" | "line" | "dashboard">;
    percent: NumberConstructor;
    format: {
        type: import("vue").PropType<(percent?: number, successPercent?: number) => VueNode>;
    };
    status: import("vue-types").VueTypeDef<"normal" | "active" | "success" | "exception">;
    showInfo: {
        type: BooleanConstructor;
        default: any;
    };
    strokeWidth: NumberConstructor;
    strokeLinecap: import("vue").PropType<"butt" | "square" | "round">;
    strokeColor: {
        type: import("vue").PropType<string | import("./props").ProgressGradient>;
        default: string | import("./props").ProgressGradient;
    };
    trailColor: StringConstructor;
    width: NumberConstructor;
    success: {
        type: import("vue").PropType<import("./props").SuccessProps>;
        default: () => import("./props").SuccessProps;
    };
    gapDegree: NumberConstructor;
    gapPosition: import("vue").PropType<"top" | "bottom" | "left" | "right">;
    size: import("vue-types").VueTypeDef<"default" | "small">;
    steps: NumberConstructor;
    successPercent: NumberConstructor;
    title: StringConstructor;
}>>, {
    success: import("./props").SuccessProps;
    showInfo: boolean;
    strokeColor: string | import("./props").ProgressGradient;
}, CustomSlotsType<{
    default?: any;
    format?: any;
}>>;
export default _default;
