import { tableProps } from './Table';
import Column from './Column';
import ColumnGroup from './ColumnGroup';
import type { TableProps, TablePaginationConfig } from './Table';
import type { App } from 'vue';
export type { ColumnProps } from './Column';
export type { ColumnsType, ColumnType, ColumnGroupType } from './interface';
export type { TableProps, TablePaginationConfig };
declare const TableSummaryRow: import("vue").DefineComponent<{}, () => import("vue/jsx-runtime").JSX.Element, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}, {}>;
declare const TableSummaryCell: import("vue").DefineComponent<import("../vc-table/Footer/Cell").SummaryCellProps, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("../vc-table/Footer/Cell").SummaryCellProps>, {}, {}>;
declare const TableSummary: {
    new (...args: any[]): import("vue").CreateComponentPublicInstance<Readonly<import("../vc-table/Footer/Summary").SummaryProps>, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & Readonly<import("../vc-table/Footer/Summary").SummaryProps>, {}, true, {}, {}, {
        P: {};
        B: {};
        D: {};
        C: {};
        M: {};
        Defaults: {};
    }, Readonly<import("../vc-table/Footer/Summary").SummaryProps>, {}, {}, {}, {}, {}>;
    __isFragment?: never;
    __isTeleport?: never;
    __isSuspense?: never;
} & import("vue").ComponentOptionsBase<Readonly<import("../vc-table/Footer/Summary").SummaryProps>, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, {}, {}, string, {}> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & {
    Cell: import("vue").DefineComponent<import("../vc-table/Footer/Cell").SummaryCellProps, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("../vc-table/Footer/Cell").SummaryCellProps>, {}, {}>;
    Row: import("vue").DefineComponent<{}, () => import("vue/jsx-runtime").JSX.Element, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}, {}>;
    name: string;
};
export { tableProps, TableSummary, TableSummaryRow, TableSummaryCell, Column as TableColumn, ColumnGroup as TableColumnGroup, };
declare const _default: {
    new (...args: any[]): import("vue").CreateComponentPublicInstance<Readonly<import("vue").ExtractPropTypes<{
        prefixCls: {
            type: import("vue").PropType<string>;
            default: any;
        };
        columns: {
            type: import("vue").PropType<import("./interface").ColumnsType>;
            default: any;
        };
        rowKey: {
            type: import("vue").PropType<TableProps["rowKey"]>;
            default: any;
        };
        tableLayout: {
            type: import("vue").PropType<TableProps["tableLayout"]>;
            default: any;
        };
        rowClassName: {
            type: import("vue").PropType<TableProps["rowClassName"]>;
            default: any;
        };
        title: {
            type: import("vue").PropType<TableProps["title"]>;
            default: any;
        };
        footer: {
            type: import("vue").PropType<TableProps["footer"]>;
            default: any;
        };
        id: {
            type: import("vue").PropType<TableProps["id"]>;
            default: any;
        };
        showHeader: {
            type: import("vue").PropType<TableProps["showHeader"]>;
            default: any;
        };
        components: {
            type: import("vue").PropType<TableProps["components"]>;
            default: any;
        };
        customRow: {
            type: import("vue").PropType<TableProps["customRow"]>;
            default: any;
        };
        customHeaderRow: {
            type: import("vue").PropType<TableProps["customHeaderRow"]>;
            default: any;
        };
        direction: {
            type: import("vue").PropType<TableProps["direction"]>;
            default: any;
        };
        expandFixed: {
            type: import("vue").PropType<TableProps["expandFixed"]>;
            default: any;
        };
        expandColumnWidth: {
            type: import("vue").PropType<TableProps["expandColumnWidth"]>;
            default: any;
        };
        expandedRowKeys: {
            type: import("vue").PropType<TableProps["expandedRowKeys"]>;
            default: TableProps["expandedRowKeys"];
        };
        defaultExpandedRowKeys: {
            type: import("vue").PropType<TableProps["defaultExpandedRowKeys"]>;
            default: TableProps["defaultExpandedRowKeys"];
        };
        expandedRowRender: {
            type: import("vue").PropType<TableProps["expandedRowRender"]>;
            default: any;
        };
        expandRowByClick: {
            type: import("vue").PropType<TableProps["expandRowByClick"]>;
            default: any;
        };
        expandIcon: {
            type: import("vue").PropType<TableProps["expandIcon"]>;
            default: any;
        };
        onExpand: {
            type: import("vue").PropType<TableProps["onExpand"]>;
            default: any;
        };
        onExpandedRowsChange: {
            type: import("vue").PropType<TableProps["onExpandedRowsChange"]>;
            default: any;
        };
        'onUpdate:expandedRowKeys': {
            type: import("vue").PropType<TableProps["onExpandedRowsChange"]>;
            default: any;
        };
        defaultExpandAllRows: {
            type: import("vue").PropType<TableProps["defaultExpandAllRows"]>;
            default: any;
        };
        indentSize: {
            type: import("vue").PropType<TableProps["indentSize"]>;
            default: any;
        };
        expandIconColumnIndex: {
            type: import("vue").PropType<TableProps["expandIconColumnIndex"]>;
            default: any;
        };
        showExpandColumn: {
            type: BooleanConstructor;
            default: any;
        };
        expandedRowClassName: {
            type: import("vue").PropType<TableProps["expandedRowClassName"]>;
            default: any;
        };
        childrenColumnName: {
            type: import("vue").PropType<TableProps["childrenColumnName"]>;
            default: any;
        };
        rowExpandable: {
            type: import("vue").PropType<TableProps["rowExpandable"]>;
            default: any;
        };
        sticky: {
            type: import("vue").PropType<TableProps["sticky"]>;
            default: any;
        };
        dropdownPrefixCls: StringConstructor;
        dataSource: {
            type: import("vue").PropType<import("../vc-table/Table").TableProps["data"]>;
            default: any;
        };
        pagination: {
            type: import("vue").PropType<false | TablePaginationConfig>;
            default: any;
        };
        loading: {
            type: import("vue").PropType<boolean | Partial<import("vue").ExtractPropTypes<{
                prefixCls: StringConstructor;
                spinning: {
                    type: BooleanConstructor;
                    default: any;
                };
                size: import("vue").PropType<import("../spin/Spin").SpinSize>;
                wrapperClassName: StringConstructor;
                tip: import("vue-types").VueTypeValidableDef<any>;
                delay: NumberConstructor;
                indicator: import("vue-types").VueTypeValidableDef<any>;
            }>>>;
            default: any;
        };
        size: {
            type: import("vue").PropType<import("../button").ButtonSize>;
            default: any;
        };
        bordered: BooleanConstructor;
        locale: {
            type: import("vue").PropType<import("./interface").TableLocale>;
            default: any;
        };
        onChange: {
            type: import("vue").PropType<(pagination: TablePaginationConfig, filters: Record<string, import("./interface").FilterValue | null>, sorter: import("./interface").SorterResult | import("./interface").SorterResult[], extra: import("./interface").TableCurrentDataSource) => void>;
            default: any;
        };
        onResizeColumn: {
            type: import("vue").PropType<(w: number, col: import("./interface").ColumnType) => void>;
            default: any;
        };
        rowSelection: {
            type: import("vue").PropType<import("./interface").TableRowSelection>;
            default: any;
        };
        getPopupContainer: {
            type: import("vue").PropType<import("./interface").GetPopupContainer>;
            default: any;
        };
        scroll: {
            type: import("vue").PropType<import("../vc-table/Table").TableProps["scroll"] & {
                scrollToFirstRowOnChange?: boolean;
            }>;
            default: any;
        };
        sortDirections: {
            type: import("vue").PropType<import("./interface").SortOrder[]>;
            default: any;
        };
        showSorterTooltip: {
            type: import("vue").PropType<boolean | Partial<import("vue").ExtractPropTypes<{
                title: import("vue-types").VueTypeValidableDef<any>;
                trigger: import("vue").PropType<import("../tooltip/abstractTooltipProps").TriggerType | import("../tooltip/abstractTooltipProps").TriggerType[]>;
                visible: {
                    type: BooleanConstructor;
                    default: any;
                };
                defaultVisible: {
                    type: BooleanConstructor;
                    default: any;
                };
                placement: import("vue").PropType<import("../tooltip").TooltipPlacement>;
                color: StringConstructor;
                transitionName: StringConstructor;
                overlayStyle: {
                    type: import("vue").PropType<import("vue").CSSProperties>;
                    default: import("vue").CSSProperties;
                };
                overlayClassName: StringConstructor;
                openClassName: StringConstructor;
                prefixCls: StringConstructor;
                mouseEnterDelay: NumberConstructor;
                mouseLeaveDelay: NumberConstructor;
                getPopupContainer: import("vue").PropType<(triggerNode: HTMLElement) => HTMLElement>;
                arrowPointAtCenter: {
                    type: BooleanConstructor;
                    default: any;
                };
                autoAdjustOverflow: {
                    type: import("vue").PropType<boolean | import("../tooltip").AdjustOverflow>;
                    default: boolean | import("../tooltip").AdjustOverflow;
                };
                destroyTooltipOnHide: {
                    type: BooleanConstructor;
                    default: any;
                };
                align: {
                    type: import("vue").PropType<import("../vc-trigger/interface").AlignType>;
                    default: import("../vc-trigger/interface").AlignType;
                };
                builtinPlacements: {
                    type: import("vue").PropType<import("../vc-trigger/interface").BuildInPlacements>;
                    default: import("../vc-trigger/interface").BuildInPlacements;
                };
                children: ArrayConstructor;
                onVisibleChange: import("vue").PropType<(vis: boolean) => void>;
                'onUpdate:visible': import("vue").PropType<(vis: boolean) => void>;
            }>>>;
            default: boolean;
        };
        transformCellText: {
            type: import("vue").PropType<TableProps["transformCellText"]>;
        };
    }>>, () => import("vue/jsx-runtime").JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & Readonly<import("vue").ExtractPropTypes<{
        prefixCls: {
            type: import("vue").PropType<string>;
            default: any;
        };
        columns: {
            type: import("vue").PropType<import("./interface").ColumnsType>;
            default: any;
        };
        rowKey: {
            type: import("vue").PropType<TableProps["rowKey"]>;
            default: any;
        };
        tableLayout: {
            type: import("vue").PropType<TableProps["tableLayout"]>;
            default: any;
        };
        rowClassName: {
            type: import("vue").PropType<TableProps["rowClassName"]>;
            default: any;
        };
        title: {
            type: import("vue").PropType<TableProps["title"]>;
            default: any;
        };
        footer: {
            type: import("vue").PropType<TableProps["footer"]>;
            default: any;
        };
        id: {
            type: import("vue").PropType<TableProps["id"]>;
            default: any;
        };
        showHeader: {
            type: import("vue").PropType<TableProps["showHeader"]>;
            default: any;
        };
        components: {
            type: import("vue").PropType<TableProps["components"]>;
            default: any;
        };
        customRow: {
            type: import("vue").PropType<TableProps["customRow"]>;
            default: any;
        };
        customHeaderRow: {
            type: import("vue").PropType<TableProps["customHeaderRow"]>;
            default: any;
        };
        direction: {
            type: import("vue").PropType<TableProps["direction"]>;
            default: any;
        };
        expandFixed: {
            type: import("vue").PropType<TableProps["expandFixed"]>;
            default: any;
        };
        expandColumnWidth: {
            type: import("vue").PropType<TableProps["expandColumnWidth"]>;
            default: any;
        };
        expandedRowKeys: {
            type: import("vue").PropType<TableProps["expandedRowKeys"]>;
            default: TableProps["expandedRowKeys"];
        };
        defaultExpandedRowKeys: {
            type: import("vue").PropType<TableProps["defaultExpandedRowKeys"]>;
            default: TableProps["defaultExpandedRowKeys"];
        };
        expandedRowRender: {
            type: import("vue").PropType<TableProps["expandedRowRender"]>;
            default: any;
        };
        expandRowByClick: {
            type: import("vue").PropType<TableProps["expandRowByClick"]>;
            default: any;
        };
        expandIcon: {
            type: import("vue").PropType<TableProps["expandIcon"]>;
            default: any;
        };
        onExpand: {
            type: import("vue").PropType<TableProps["onExpand"]>;
            default: any;
        };
        onExpandedRowsChange: {
            type: import("vue").PropType<TableProps["onExpandedRowsChange"]>;
            default: any;
        };
        'onUpdate:expandedRowKeys': {
            type: import("vue").PropType<TableProps["onExpandedRowsChange"]>;
            default: any;
        };
        defaultExpandAllRows: {
            type: import("vue").PropType<TableProps["defaultExpandAllRows"]>;
            default: any;
        };
        indentSize: {
            type: import("vue").PropType<TableProps["indentSize"]>;
            default: any;
        };
        expandIconColumnIndex: {
            type: import("vue").PropType<TableProps["expandIconColumnIndex"]>;
            default: any;
        };
        showExpandColumn: {
            type: BooleanConstructor;
            default: any;
        };
        expandedRowClassName: {
            type: import("vue").PropType<TableProps["expandedRowClassName"]>;
            default: any;
        };
        childrenColumnName: {
            type: import("vue").PropType<TableProps["childrenColumnName"]>;
            default: any;
        };
        rowExpandable: {
            type: import("vue").PropType<TableProps["rowExpandable"]>;
            default: any;
        };
        sticky: {
            type: import("vue").PropType<TableProps["sticky"]>;
            default: any;
        };
        dropdownPrefixCls: StringConstructor;
        dataSource: {
            type: import("vue").PropType<import("../vc-table/Table").TableProps["data"]>;
            default: any;
        };
        pagination: {
            type: import("vue").PropType<false | TablePaginationConfig>;
            default: any;
        };
        loading: {
            type: import("vue").PropType<boolean | Partial<import("vue").ExtractPropTypes<{
                prefixCls: StringConstructor;
                spinning: {
                    type: BooleanConstructor;
                    default: any;
                };
                size: import("vue").PropType<import("../spin/Spin").SpinSize>;
                wrapperClassName: StringConstructor;
                tip: import("vue-types").VueTypeValidableDef<any>;
                delay: NumberConstructor;
                indicator: import("vue-types").VueTypeValidableDef<any>;
            }>>>;
            default: any;
        };
        size: {
            type: import("vue").PropType<import("../button").ButtonSize>;
            default: any;
        };
        bordered: BooleanConstructor;
        locale: {
            type: import("vue").PropType<import("./interface").TableLocale>;
            default: any;
        };
        onChange: {
            type: import("vue").PropType<(pagination: TablePaginationConfig, filters: Record<string, import("./interface").FilterValue | null>, sorter: import("./interface").SorterResult | import("./interface").SorterResult[], extra: import("./interface").TableCurrentDataSource) => void>;
            default: any;
        };
        onResizeColumn: {
            type: import("vue").PropType<(w: number, col: import("./interface").ColumnType) => void>;
            default: any;
        };
        rowSelection: {
            type: import("vue").PropType<import("./interface").TableRowSelection>;
            default: any;
        };
        getPopupContainer: {
            type: import("vue").PropType<import("./interface").GetPopupContainer>;
            default: any;
        };
        scroll: {
            type: import("vue").PropType<import("../vc-table/Table").TableProps["scroll"] & {
                scrollToFirstRowOnChange?: boolean;
            }>;
            default: any;
        };
        sortDirections: {
            type: import("vue").PropType<import("./interface").SortOrder[]>;
            default: any;
        };
        showSorterTooltip: {
            type: import("vue").PropType<boolean | Partial<import("vue").ExtractPropTypes<{
                title: import("vue-types").VueTypeValidableDef<any>;
                trigger: import("vue").PropType<import("../tooltip/abstractTooltipProps").TriggerType | import("../tooltip/abstractTooltipProps").TriggerType[]>;
                visible: {
                    type: BooleanConstructor;
                    default: any;
                };
                defaultVisible: {
                    type: BooleanConstructor;
                    default: any;
                };
                placement: import("vue").PropType<import("../tooltip").TooltipPlacement>;
                color: StringConstructor;
                transitionName: StringConstructor;
                overlayStyle: {
                    type: import("vue").PropType<import("vue").CSSProperties>;
                    default: import("vue").CSSProperties;
                };
                overlayClassName: StringConstructor;
                openClassName: StringConstructor;
                prefixCls: StringConstructor;
                mouseEnterDelay: NumberConstructor;
                mouseLeaveDelay: NumberConstructor;
                getPopupContainer: import("vue").PropType<(triggerNode: HTMLElement) => HTMLElement>;
                arrowPointAtCenter: {
                    type: BooleanConstructor;
                    default: any;
                };
                autoAdjustOverflow: {
                    type: import("vue").PropType<boolean | import("../tooltip").AdjustOverflow>;
                    default: boolean | import("../tooltip").AdjustOverflow;
                };
                destroyTooltipOnHide: {
                    type: BooleanConstructor;
                    default: any;
                };
                align: {
                    type: import("vue").PropType<import("../vc-trigger/interface").AlignType>;
                    default: import("../vc-trigger/interface").AlignType;
                };
                builtinPlacements: {
                    type: import("vue").PropType<import("../vc-trigger/interface").BuildInPlacements>;
                    default: import("../vc-trigger/interface").BuildInPlacements;
                };
                children: ArrayConstructor;
                onVisibleChange: import("vue").PropType<(vis: boolean) => void>;
                'onUpdate:visible': import("vue").PropType<(vis: boolean) => void>;
            }>>>;
            default: boolean;
        };
        transformCellText: {
            type: import("vue").PropType<TableProps["transformCellText"]>;
        };
    }>>, {
        size: import("../button").ButtonSize;
        onChange: (pagination: TablePaginationConfig, filters: Record<string, import("./interface").FilterValue | null>, sorter: import("./interface").SorterResult | import("./interface").SorterResult[], extra: import("./interface").TableCurrentDataSource) => void;
        prefixCls: string;
        footer: import("../vc-table/interface").PanelRender<any>;
        title: import("../vc-table/interface").PanelRender<any>;
        scroll: any;
        sticky: any;
        rowClassName: string | import("../vc-table/interface").RowClassName<any>;
        locale: any;
        components: any;
        getPopupContainer: import("./interface").GetPopupContainer;
        direction: "ltr" | "rtl";
        tableLayout: import("../vc-table/interface").TableLayout;
        columns: import("./interface").ColumnsType;
        id: string;
        loading: any;
        onExpand: (expanded: boolean, record: any) => void;
        bordered: boolean;
        pagination: any;
        expandIcon: import("../vc-table/interface").RenderExpandIcon<any>;
        expandedRowKeys: import("../vc-table/interface").Key[];
        defaultExpandedRowKeys: import("../vc-table/interface").Key[];
        expandedRowRender: import("../vc-table/interface").ExpandedRowRender<any>;
        expandRowByClick: boolean;
        onExpandedRowsChange: (expandedKeys: import("../vc-table/interface").Key[]) => void;
        defaultExpandAllRows: boolean;
        indentSize: number;
        expandIconColumnIndex: number;
        showExpandColumn: boolean;
        expandedRowClassName: import("../vc-table/interface").RowClassName<any>;
        childrenColumnName: string;
        rowExpandable: (record: any) => boolean;
        onResizeColumn: (w: number, col: import("./interface").ColumnType) => void;
        customHeaderRow: import("../vc-table/interface").GetComponentProps<import("../vc-table/interface").ColumnType<any>[]>;
        customRow: import("../vc-table/interface").GetComponentProps<any>;
        rowKey: string | import("./interface").GetRowKey<any>;
        expandColumnWidth: number;
        expandFixed: boolean | "left" | "right";
        showHeader: boolean;
        'onUpdate:expandedRowKeys': (expandedKeys: import("../vc-table/interface").Key[]) => void;
        sortDirections: import("./interface").SortOrder[];
        showSorterTooltip: boolean;
        dataSource: any[];
        rowSelection: any;
    }, true, {}, import("../_util/type").CustomSlotsType<{
        emptyText?: any;
        expandIcon?: import("../vc-table/interface").RenderExpandIconProps<any>;
        title?: any;
        footer?: any;
        summary?: any;
        expandedRowRender?: any;
        bodyCell?: {
            text: any;
            value: any;
            record: Record<string, any>;
            index: number;
            column: import("./interface").ColumnType;
        };
        headerCell?: {
            title: any;
            column: import("./interface").ColumnType;
        };
        customFilterIcon?: any;
        customFilterDropdown?: any;
        default: any;
    }>, {
        P: {};
        B: {};
        D: {};
        C: {};
        M: {};
        Defaults: {};
    }, Readonly<import("vue").ExtractPropTypes<{
        prefixCls: {
            type: import("vue").PropType<string>;
            default: any;
        };
        columns: {
            type: import("vue").PropType<import("./interface").ColumnsType>;
            default: any;
        };
        rowKey: {
            type: import("vue").PropType<TableProps["rowKey"]>;
            default: any;
        };
        tableLayout: {
            type: import("vue").PropType<TableProps["tableLayout"]>;
            default: any;
        };
        rowClassName: {
            type: import("vue").PropType<TableProps["rowClassName"]>;
            default: any;
        };
        title: {
            type: import("vue").PropType<TableProps["title"]>;
            default: any;
        };
        footer: {
            type: import("vue").PropType<TableProps["footer"]>;
            default: any;
        };
        id: {
            type: import("vue").PropType<TableProps["id"]>;
            default: any;
        };
        showHeader: {
            type: import("vue").PropType<TableProps["showHeader"]>;
            default: any;
        };
        components: {
            type: import("vue").PropType<TableProps["components"]>;
            default: any;
        };
        customRow: {
            type: import("vue").PropType<TableProps["customRow"]>;
            default: any;
        };
        customHeaderRow: {
            type: import("vue").PropType<TableProps["customHeaderRow"]>;
            default: any;
        };
        direction: {
            type: import("vue").PropType<TableProps["direction"]>;
            default: any;
        };
        expandFixed: {
            type: import("vue").PropType<TableProps["expandFixed"]>;
            default: any;
        };
        expandColumnWidth: {
            type: import("vue").PropType<TableProps["expandColumnWidth"]>;
            default: any;
        };
        expandedRowKeys: {
            type: import("vue").PropType<TableProps["expandedRowKeys"]>;
            default: TableProps["expandedRowKeys"];
        };
        defaultExpandedRowKeys: {
            type: import("vue").PropType<TableProps["defaultExpandedRowKeys"]>;
            default: TableProps["defaultExpandedRowKeys"];
        };
        expandedRowRender: {
            type: import("vue").PropType<TableProps["expandedRowRender"]>;
            default: any;
        };
        expandRowByClick: {
            type: import("vue").PropType<TableProps["expandRowByClick"]>;
            default: any;
        };
        expandIcon: {
            type: import("vue").PropType<TableProps["expandIcon"]>;
            default: any;
        };
        onExpand: {
            type: import("vue").PropType<TableProps["onExpand"]>;
            default: any;
        };
        onExpandedRowsChange: {
            type: import("vue").PropType<TableProps["onExpandedRowsChange"]>;
            default: any;
        };
        'onUpdate:expandedRowKeys': {
            type: import("vue").PropType<TableProps["onExpandedRowsChange"]>;
            default: any;
        };
        defaultExpandAllRows: {
            type: import("vue").PropType<TableProps["defaultExpandAllRows"]>;
            default: any;
        };
        indentSize: {
            type: import("vue").PropType<TableProps["indentSize"]>;
            default: any;
        };
        expandIconColumnIndex: {
            type: import("vue").PropType<TableProps["expandIconColumnIndex"]>;
            default: any;
        };
        showExpandColumn: {
            type: BooleanConstructor;
            default: any;
        };
        expandedRowClassName: {
            type: import("vue").PropType<TableProps["expandedRowClassName"]>;
            default: any;
        };
        childrenColumnName: {
            type: import("vue").PropType<TableProps["childrenColumnName"]>;
            default: any;
        };
        rowExpandable: {
            type: import("vue").PropType<TableProps["rowExpandable"]>;
            default: any;
        };
        sticky: {
            type: import("vue").PropType<TableProps["sticky"]>;
            default: any;
        };
        dropdownPrefixCls: StringConstructor;
        dataSource: {
            type: import("vue").PropType<import("../vc-table/Table").TableProps["data"]>;
            default: any;
        };
        pagination: {
            type: import("vue").PropType<false | TablePaginationConfig>;
            default: any;
        };
        loading: {
            type: import("vue").PropType<boolean | Partial<import("vue").ExtractPropTypes<{
                prefixCls: StringConstructor;
                spinning: {
                    type: BooleanConstructor;
                    default: any;
                };
                size: import("vue").PropType<import("../spin/Spin").SpinSize>;
                wrapperClassName: StringConstructor;
                tip: import("vue-types").VueTypeValidableDef<any>;
                delay: NumberConstructor;
                indicator: import("vue-types").VueTypeValidableDef<any>;
            }>>>;
            default: any;
        };
        size: {
            type: import("vue").PropType<import("../button").ButtonSize>;
            default: any;
        };
        bordered: BooleanConstructor;
        locale: {
            type: import("vue").PropType<import("./interface").TableLocale>;
            default: any;
        };
        onChange: {
            type: import("vue").PropType<(pagination: TablePaginationConfig, filters: Record<string, import("./interface").FilterValue | null>, sorter: import("./interface").SorterResult | import("./interface").SorterResult[], extra: import("./interface").TableCurrentDataSource) => void>;
            default: any;
        };
        onResizeColumn: {
            type: import("vue").PropType<(w: number, col: import("./interface").ColumnType) => void>;
            default: any;
        };
        rowSelection: {
            type: import("vue").PropType<import("./interface").TableRowSelection>;
            default: any;
        };
        getPopupContainer: {
            type: import("vue").PropType<import("./interface").GetPopupContainer>;
            default: any;
        };
        scroll: {
            type: import("vue").PropType<import("../vc-table/Table").TableProps["scroll"] & {
                scrollToFirstRowOnChange?: boolean;
            }>;
            default: any;
        };
        sortDirections: {
            type: import("vue").PropType<import("./interface").SortOrder[]>;
            default: any;
        };
        showSorterTooltip: {
            type: import("vue").PropType<boolean | Partial<import("vue").ExtractPropTypes<{
                title: import("vue-types").VueTypeValidableDef<any>;
                trigger: import("vue").PropType<import("../tooltip/abstractTooltipProps").TriggerType | import("../tooltip/abstractTooltipProps").TriggerType[]>;
                visible: {
                    type: BooleanConstructor;
                    default: any;
                };
                defaultVisible: {
                    type: BooleanConstructor;
                    default: any;
                };
                placement: import("vue").PropType<import("../tooltip").TooltipPlacement>;
                color: StringConstructor;
                transitionName: StringConstructor;
                overlayStyle: {
                    type: import("vue").PropType<import("vue").CSSProperties>;
                    default: import("vue").CSSProperties;
                };
                overlayClassName: StringConstructor;
                openClassName: StringConstructor;
                prefixCls: StringConstructor;
                mouseEnterDelay: NumberConstructor;
                mouseLeaveDelay: NumberConstructor;
                getPopupContainer: import("vue").PropType<(triggerNode: HTMLElement) => HTMLElement>;
                arrowPointAtCenter: {
                    type: BooleanConstructor;
                    default: any;
                };
                autoAdjustOverflow: {
                    type: import("vue").PropType<boolean | import("../tooltip").AdjustOverflow>;
                    default: boolean | import("../tooltip").AdjustOverflow;
                };
                destroyTooltipOnHide: {
                    type: BooleanConstructor;
                    default: any;
                };
                align: {
                    type: import("vue").PropType<import("../vc-trigger/interface").AlignType>;
                    default: import("../vc-trigger/interface").AlignType;
                };
                builtinPlacements: {
                    type: import("vue").PropType<import("../vc-trigger/interface").BuildInPlacements>;
                    default: import("../vc-trigger/interface").BuildInPlacements;
                };
                children: ArrayConstructor;
                onVisibleChange: import("vue").PropType<(vis: boolean) => void>;
                'onUpdate:visible': import("vue").PropType<(vis: boolean) => void>;
            }>>>;
            default: boolean;
        };
        transformCellText: {
            type: import("vue").PropType<TableProps["transformCellText"]>;
        };
    }>>, () => import("vue/jsx-runtime").JSX.Element, {}, {}, {}, {
        size: import("../button").ButtonSize;
        onChange: (pagination: TablePaginationConfig, filters: Record<string, import("./interface").FilterValue | null>, sorter: import("./interface").SorterResult | import("./interface").SorterResult[], extra: import("./interface").TableCurrentDataSource) => void;
        prefixCls: string;
        footer: import("../vc-table/interface").PanelRender<any>;
        title: import("../vc-table/interface").PanelRender<any>;
        scroll: any;
        sticky: any;
        rowClassName: string | import("../vc-table/interface").RowClassName<any>;
        locale: any;
        components: any;
        getPopupContainer: import("./interface").GetPopupContainer;
        direction: "ltr" | "rtl";
        tableLayout: import("../vc-table/interface").TableLayout;
        columns: import("./interface").ColumnsType;
        id: string;
        loading: any;
        onExpand: (expanded: boolean, record: any) => void;
        bordered: boolean;
        pagination: any;
        expandIcon: import("../vc-table/interface").RenderExpandIcon<any>;
        expandedRowKeys: import("../vc-table/interface").Key[];
        defaultExpandedRowKeys: import("../vc-table/interface").Key[];
        expandedRowRender: import("../vc-table/interface").ExpandedRowRender<any>;
        expandRowByClick: boolean;
        onExpandedRowsChange: (expandedKeys: import("../vc-table/interface").Key[]) => void;
        defaultExpandAllRows: boolean;
        indentSize: number;
        expandIconColumnIndex: number;
        showExpandColumn: boolean;
        expandedRowClassName: import("../vc-table/interface").RowClassName<any>;
        childrenColumnName: string;
        rowExpandable: (record: any) => boolean;
        onResizeColumn: (w: number, col: import("./interface").ColumnType) => void;
        customHeaderRow: import("../vc-table/interface").GetComponentProps<import("../vc-table/interface").ColumnType<any>[]>;
        customRow: import("../vc-table/interface").GetComponentProps<any>;
        rowKey: string | import("./interface").GetRowKey<any>;
        expandColumnWidth: number;
        expandFixed: boolean | "left" | "right";
        showHeader: boolean;
        'onUpdate:expandedRowKeys': (expandedKeys: import("../vc-table/interface").Key[]) => void;
        sortDirections: import("./interface").SortOrder[];
        showSorterTooltip: boolean;
        dataSource: any[];
        rowSelection: any;
    }>;
    __isFragment?: never;
    __isTeleport?: never;
    __isSuspense?: never;
} & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
    prefixCls: {
        type: import("vue").PropType<string>;
        default: any;
    };
    columns: {
        type: import("vue").PropType<import("./interface").ColumnsType>;
        default: any;
    };
    rowKey: {
        type: import("vue").PropType<TableProps["rowKey"]>;
        default: any;
    };
    tableLayout: {
        type: import("vue").PropType<TableProps["tableLayout"]>;
        default: any;
    };
    rowClassName: {
        type: import("vue").PropType<TableProps["rowClassName"]>;
        default: any;
    };
    title: {
        type: import("vue").PropType<TableProps["title"]>;
        default: any;
    };
    footer: {
        type: import("vue").PropType<TableProps["footer"]>;
        default: any;
    };
    id: {
        type: import("vue").PropType<TableProps["id"]>;
        default: any;
    };
    showHeader: {
        type: import("vue").PropType<TableProps["showHeader"]>;
        default: any;
    };
    components: {
        type: import("vue").PropType<TableProps["components"]>;
        default: any;
    };
    customRow: {
        type: import("vue").PropType<TableProps["customRow"]>;
        default: any;
    };
    customHeaderRow: {
        type: import("vue").PropType<TableProps["customHeaderRow"]>;
        default: any;
    };
    direction: {
        type: import("vue").PropType<TableProps["direction"]>;
        default: any;
    };
    expandFixed: {
        type: import("vue").PropType<TableProps["expandFixed"]>;
        default: any;
    };
    expandColumnWidth: {
        type: import("vue").PropType<TableProps["expandColumnWidth"]>;
        default: any;
    };
    expandedRowKeys: {
        type: import("vue").PropType<TableProps["expandedRowKeys"]>;
        default: TableProps["expandedRowKeys"];
    };
    defaultExpandedRowKeys: {
        type: import("vue").PropType<TableProps["defaultExpandedRowKeys"]>;
        default: TableProps["defaultExpandedRowKeys"];
    };
    expandedRowRender: {
        type: import("vue").PropType<TableProps["expandedRowRender"]>;
        default: any;
    };
    expandRowByClick: {
        type: import("vue").PropType<TableProps["expandRowByClick"]>;
        default: any;
    };
    expandIcon: {
        type: import("vue").PropType<TableProps["expandIcon"]>;
        default: any;
    };
    onExpand: {
        type: import("vue").PropType<TableProps["onExpand"]>;
        default: any;
    };
    onExpandedRowsChange: {
        type: import("vue").PropType<TableProps["onExpandedRowsChange"]>;
        default: any;
    };
    'onUpdate:expandedRowKeys': {
        type: import("vue").PropType<TableProps["onExpandedRowsChange"]>;
        default: any;
    };
    defaultExpandAllRows: {
        type: import("vue").PropType<TableProps["defaultExpandAllRows"]>;
        default: any;
    };
    indentSize: {
        type: import("vue").PropType<TableProps["indentSize"]>;
        default: any;
    };
    expandIconColumnIndex: {
        type: import("vue").PropType<TableProps["expandIconColumnIndex"]>;
        default: any;
    };
    showExpandColumn: {
        type: BooleanConstructor;
        default: any;
    };
    expandedRowClassName: {
        type: import("vue").PropType<TableProps["expandedRowClassName"]>;
        default: any;
    };
    childrenColumnName: {
        type: import("vue").PropType<TableProps["childrenColumnName"]>;
        default: any;
    };
    rowExpandable: {
        type: import("vue").PropType<TableProps["rowExpandable"]>;
        default: any;
    };
    sticky: {
        type: import("vue").PropType<TableProps["sticky"]>;
        default: any;
    };
    dropdownPrefixCls: StringConstructor;
    dataSource: {
        type: import("vue").PropType<import("../vc-table/Table").TableProps["data"]>;
        default: any;
    };
    pagination: {
        type: import("vue").PropType<false | TablePaginationConfig>;
        default: any;
    };
    loading: {
        type: import("vue").PropType<boolean | import("..").SpinProps>;
        default: any;
    };
    size: {
        type: import("vue").PropType<import("../button").ButtonSize>;
        default: any;
    };
    bordered: BooleanConstructor;
    locale: {
        type: import("vue").PropType<import("./interface").TableLocale>;
        default: any;
    };
    onChange: {
        type: import("vue").PropType<(pagination: TablePaginationConfig, filters: Record<string, import("./interface").FilterValue | null>, sorter: import("./interface").SorterResult | import("./interface").SorterResult[], extra: import("./interface").TableCurrentDataSource) => void>;
        default: any;
    };
    onResizeColumn: {
        type: import("vue").PropType<(w: number, col: import("./interface").ColumnType) => void>;
        default: any;
    };
    rowSelection: {
        type: import("vue").PropType<import("./interface").TableRowSelection>;
        default: any;
    };
    getPopupContainer: {
        type: import("vue").PropType<import("./interface").GetPopupContainer>;
        default: any;
    };
    scroll: {
        type: import("vue").PropType<import("../vc-table/Table").TableProps["scroll"] & {
            scrollToFirstRowOnChange?: boolean;
        }>;
        default: any;
    };
    sortDirections: {
        type: import("vue").PropType<import("./interface").SortOrder[]>;
        default: any;
    };
    showSorterTooltip: {
        type: import("vue").PropType<boolean | import("..").TooltipProps>;
        default: boolean;
    };
    transformCellText: {
        type: import("vue").PropType<TableProps["transformCellText"]>;
    };
}>>, () => import("vue/jsx-runtime").JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, {
    size: import("../button").ButtonSize;
    onChange: (pagination: TablePaginationConfig, filters: Record<string, import("./interface").FilterValue | null>, sorter: import("./interface").SorterResult | import("./interface").SorterResult[], extra: import("./interface").TableCurrentDataSource) => void;
    prefixCls: string;
    footer: import("../vc-table/interface").PanelRender<any>;
    title: import("../vc-table/interface").PanelRender<any>;
    scroll: any;
    sticky: any;
    rowClassName: string | import("../vc-table/interface").RowClassName<any>;
    locale: any;
    components: any;
    getPopupContainer: import("./interface").GetPopupContainer;
    direction: "ltr" | "rtl";
    tableLayout: import("../vc-table/interface").TableLayout;
    columns: import("./interface").ColumnsType;
    id: string;
    loading: any;
    onExpand: (expanded: boolean, record: any) => void;
    bordered: boolean;
    pagination: any;
    expandIcon: import("../vc-table/interface").RenderExpandIcon<any>;
    expandedRowKeys: import("../vc-table/interface").Key[];
    defaultExpandedRowKeys: import("../vc-table/interface").Key[];
    expandedRowRender: import("../vc-table/interface").ExpandedRowRender<any>;
    expandRowByClick: boolean;
    onExpandedRowsChange: (expandedKeys: import("../vc-table/interface").Key[]) => void;
    defaultExpandAllRows: boolean;
    indentSize: number;
    expandIconColumnIndex: number;
    showExpandColumn: boolean;
    expandedRowClassName: import("../vc-table/interface").RowClassName<any>;
    childrenColumnName: string;
    rowExpandable: (record: any) => boolean;
    onResizeColumn: (w: number, col: import("./interface").ColumnType) => void;
    customHeaderRow: import("../vc-table/interface").GetComponentProps<import("../vc-table/interface").ColumnType<any>[]>;
    customRow: import("../vc-table/interface").GetComponentProps<any>;
    rowKey: string | import("./interface").GetRowKey<any>;
    expandColumnWidth: number;
    expandFixed: boolean | "left" | "right";
    showHeader: boolean;
    'onUpdate:expandedRowKeys': (expandedKeys: import("../vc-table/interface").Key[]) => void;
    sortDirections: import("./interface").SortOrder[];
    showSorterTooltip: boolean;
    dataSource: any[];
    rowSelection: any;
}, {}, string, import("../_util/type").CustomSlotsType<{
    emptyText?: any;
    expandIcon?: import("../vc-table/interface").RenderExpandIconProps<any>;
    title?: any;
    footer?: any;
    summary?: any;
    expandedRowRender?: any;
    bodyCell?: {
        text: any;
        value: any;
        record: Record<string, any>;
        index: number;
        column: import("./interface").ColumnType;
    };
    headerCell?: {
        title: any;
        column: import("./interface").ColumnType;
    };
    customFilterIcon?: any;
    customFilterDropdown?: any;
    default: any;
}>> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & {
    SELECTION_ALL: "SELECT_ALL";
    SELECTION_INVERT: "SELECT_INVERT";
    SELECTION_NONE: "SELECT_NONE";
    SELECTION_COLUMN: {};
    EXPAND_COLUMN: {};
    Column: import("vue").DefineComponent<import("./Column").ColumnProps<unknown>, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("./Column").ColumnProps<unknown>>, {
        __originColumn__?: any;
    }, {}>;
    ColumnGroup: import("vue").DefineComponent<import("../vc-table/sugar/ColumnGroup").ColumnGroupProps<any>, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("../vc-table/sugar/ColumnGroup").ColumnGroupProps<any>>, {
        title?: any;
        __originColumn__?: any;
    }, {}>;
    Summary: {
        new (...args: any[]): import("vue").CreateComponentPublicInstance<Readonly<import("../vc-table/Footer/Summary").SummaryProps>, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & Readonly<import("../vc-table/Footer/Summary").SummaryProps>, {}, true, {}, {}, {
            P: {};
            B: {};
            D: {};
            C: {};
            M: {};
            Defaults: {};
        }, Readonly<import("../vc-table/Footer/Summary").SummaryProps>, {}, {}, {}, {}, {}>;
        __isFragment?: never;
        __isTeleport?: never;
        __isSuspense?: never;
    } & import("vue").ComponentOptionsBase<Readonly<import("../vc-table/Footer/Summary").SummaryProps>, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, {}, {}, string, {}> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & {
        Cell: import("vue").DefineComponent<import("../vc-table/Footer/Cell").SummaryCellProps, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("../vc-table/Footer/Cell").SummaryCellProps>, {}, {}>;
        Row: import("vue").DefineComponent<{}, () => import("vue/jsx-runtime").JSX.Element, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}, {}>;
        name: string;
    };
    install: (app: App) => App<any>;
};
export default _default;
