export { paginationProps, paginationConfig } from './Pagination';
export type { PaginationProps, PaginationConfig } from './Pagination';
declare const _default: {
    new (...args: any[]): import("vue").CreateComponentPublicInstance<Readonly<import("vue").ExtractPropTypes<{
        total: NumberConstructor;
        defaultCurrent: NumberConstructor;
        disabled: {
            type: BooleanConstructor;
            default: any;
        };
        current: NumberConstructor;
        defaultPageSize: NumberConstructor;
        pageSize: NumberConstructor;
        hideOnSinglePage: {
            type: BooleanConstructor;
            default: any;
        };
        showSizeChanger: {
            type: BooleanConstructor;
            default: any;
        };
        pageSizeOptions: import("vue").PropType<(string | number)[]>;
        buildOptionText: import("vue").PropType<(opt: {
            value: any;
        }) => any>;
        showQuickJumper: {
            type: import("vue").PropType<boolean | {
                goButton?: any;
            }>;
            default: boolean | {
                goButton?: any;
            };
        };
        showTotal: import("vue").PropType<(total: number, range: [number, number]) => any>;
        size: import("vue").PropType<"default" | "small">;
        simple: {
            type: BooleanConstructor;
            default: any;
        };
        locale: ObjectConstructor;
        prefixCls: StringConstructor;
        selectPrefixCls: StringConstructor;
        totalBoundaryShowSizeChanger: NumberConstructor;
        selectComponentClass: StringConstructor;
        itemRender: import("vue").PropType<(opt: {
            page: number;
            type: "page" | "prev" | "next" | "jump-prev" | "jump-next";
            originalElement: any;
        }) => any>;
        role: StringConstructor;
        responsive: BooleanConstructor;
        showLessItems: {
            type: BooleanConstructor;
            default: any;
        };
        onChange: import("vue").PropType<(page: number, pageSize: number) => void>;
        onShowSizeChange: import("vue").PropType<(current: number, size: number) => void>;
        'onUpdate:current': import("vue").PropType<(current: number) => void>;
        'onUpdate:pageSize': import("vue").PropType<(size: number) => void>;
    }>>, () => import("vue/jsx-runtime").JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & Readonly<import("vue").ExtractPropTypes<{
        total: NumberConstructor;
        defaultCurrent: NumberConstructor;
        disabled: {
            type: BooleanConstructor;
            default: any;
        };
        current: NumberConstructor;
        defaultPageSize: NumberConstructor;
        pageSize: NumberConstructor;
        hideOnSinglePage: {
            type: BooleanConstructor;
            default: any;
        };
        showSizeChanger: {
            type: BooleanConstructor;
            default: any;
        };
        pageSizeOptions: import("vue").PropType<(string | number)[]>;
        buildOptionText: import("vue").PropType<(opt: {
            value: any;
        }) => any>;
        showQuickJumper: {
            type: import("vue").PropType<boolean | {
                goButton?: any;
            }>;
            default: boolean | {
                goButton?: any;
            };
        };
        showTotal: import("vue").PropType<(total: number, range: [number, number]) => any>;
        size: import("vue").PropType<"default" | "small">;
        simple: {
            type: BooleanConstructor;
            default: any;
        };
        locale: ObjectConstructor;
        prefixCls: StringConstructor;
        selectPrefixCls: StringConstructor;
        totalBoundaryShowSizeChanger: NumberConstructor;
        selectComponentClass: StringConstructor;
        itemRender: import("vue").PropType<(opt: {
            page: number;
            type: "page" | "prev" | "next" | "jump-prev" | "jump-next";
            originalElement: any;
        }) => any>;
        role: StringConstructor;
        responsive: BooleanConstructor;
        showLessItems: {
            type: BooleanConstructor;
            default: any;
        };
        onChange: import("vue").PropType<(page: number, pageSize: number) => void>;
        onShowSizeChange: import("vue").PropType<(current: number, size: number) => void>;
        'onUpdate:current': import("vue").PropType<(current: number) => void>;
        'onUpdate:pageSize': import("vue").PropType<(size: number) => void>;
    }>>, {
        disabled: boolean;
        responsive: boolean;
        hideOnSinglePage: boolean;
        showSizeChanger: boolean;
        showLessItems: boolean;
        showQuickJumper: boolean | {
            goButton?: any;
        };
        simple: boolean;
    }, true, {}, {}, {
        P: {};
        B: {};
        D: {};
        C: {};
        M: {};
        Defaults: {};
    }, Readonly<import("vue").ExtractPropTypes<{
        total: NumberConstructor;
        defaultCurrent: NumberConstructor;
        disabled: {
            type: BooleanConstructor;
            default: any;
        };
        current: NumberConstructor;
        defaultPageSize: NumberConstructor;
        pageSize: NumberConstructor;
        hideOnSinglePage: {
            type: BooleanConstructor;
            default: any;
        };
        showSizeChanger: {
            type: BooleanConstructor;
            default: any;
        };
        pageSizeOptions: import("vue").PropType<(string | number)[]>;
        buildOptionText: import("vue").PropType<(opt: {
            value: any;
        }) => any>;
        showQuickJumper: {
            type: import("vue").PropType<boolean | {
                goButton?: any;
            }>;
            default: boolean | {
                goButton?: any;
            };
        };
        showTotal: import("vue").PropType<(total: number, range: [number, number]) => any>;
        size: import("vue").PropType<"default" | "small">;
        simple: {
            type: BooleanConstructor;
            default: any;
        };
        locale: ObjectConstructor;
        prefixCls: StringConstructor;
        selectPrefixCls: StringConstructor;
        totalBoundaryShowSizeChanger: NumberConstructor;
        selectComponentClass: StringConstructor;
        itemRender: import("vue").PropType<(opt: {
            page: number;
            type: "page" | "prev" | "next" | "jump-prev" | "jump-next";
            originalElement: any;
        }) => any>;
        role: StringConstructor;
        responsive: BooleanConstructor;
        showLessItems: {
            type: BooleanConstructor;
            default: any;
        };
        onChange: import("vue").PropType<(page: number, pageSize: number) => void>;
        onShowSizeChange: import("vue").PropType<(current: number, size: number) => void>;
        'onUpdate:current': import("vue").PropType<(current: number) => void>;
        'onUpdate:pageSize': import("vue").PropType<(size: number) => void>;
    }>>, () => import("vue/jsx-runtime").JSX.Element, {}, {}, {}, {
        disabled: boolean;
        responsive: boolean;
        hideOnSinglePage: boolean;
        showSizeChanger: boolean;
        showLessItems: boolean;
        showQuickJumper: boolean | {
            goButton?: any;
        };
        simple: boolean;
    }>;
    __isFragment?: never;
    __isTeleport?: never;
    __isSuspense?: never;
} & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
    total: NumberConstructor;
    defaultCurrent: NumberConstructor;
    disabled: {
        type: BooleanConstructor;
        default: any;
    };
    current: NumberConstructor;
    defaultPageSize: NumberConstructor;
    pageSize: NumberConstructor;
    hideOnSinglePage: {
        type: BooleanConstructor;
        default: any;
    };
    showSizeChanger: {
        type: BooleanConstructor;
        default: any;
    };
    pageSizeOptions: import("vue").PropType<(string | number)[]>;
    buildOptionText: import("vue").PropType<(opt: {
        value: any;
    }) => any>;
    showQuickJumper: {
        type: import("vue").PropType<boolean | {
            goButton?: any;
        }>;
        default: boolean | {
            goButton?: any;
        };
    };
    showTotal: import("vue").PropType<(total: number, range: [number, number]) => any>;
    size: import("vue").PropType<"default" | "small">;
    simple: {
        type: BooleanConstructor;
        default: any;
    };
    locale: ObjectConstructor;
    prefixCls: StringConstructor;
    selectPrefixCls: StringConstructor;
    totalBoundaryShowSizeChanger: NumberConstructor;
    selectComponentClass: StringConstructor;
    itemRender: import("vue").PropType<(opt: {
        page: number;
        type: "page" | "prev" | "next" | "jump-prev" | "jump-next";
        originalElement: any;
    }) => any>;
    role: StringConstructor;
    responsive: BooleanConstructor;
    showLessItems: {
        type: BooleanConstructor;
        default: any;
    };
    onChange: import("vue").PropType<(page: number, pageSize: number) => void>;
    onShowSizeChange: import("vue").PropType<(current: number, size: number) => void>;
    'onUpdate:current': import("vue").PropType<(current: number) => void>;
    'onUpdate:pageSize': import("vue").PropType<(size: number) => void>;
}>>, () => import("vue/jsx-runtime").JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, {
    disabled: boolean;
    responsive: boolean;
    hideOnSinglePage: boolean;
    showSizeChanger: boolean;
    showLessItems: boolean;
    showQuickJumper: boolean | {
        goButton?: any;
    };
    simple: boolean;
}, {}, string, {}> & (import("vue").VNodeProps & (import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & import("vue").Plugin));
export default _default;
