import type { ExtractPropTypes, PropType } from 'vue';
import type { MouseEventHandler } from '../_util/EventInterface';
import type { CustomSlotsType } from '../_util/type';
export declare const breadcrumbItemProps: () => {
    prefixCls: StringConstructor;
    href: StringConstructor;
    separator: import("vue-types").VueTypeValidableDef<any>;
    overlay: import("vue-types").VueTypeValidableDef<any>;
    onClick: PropType<MouseEventHandler>;
};
export type BreadcrumbItemProps = Partial<ExtractPropTypes<ReturnType<typeof breadcrumbItemProps>>>;
declare const _default: import("vue").DefineComponent<{
    prefixCls: StringConstructor;
    href: StringConstructor;
    separator: import("vue-types").VueTypeValidableDef<any>;
    overlay: import("vue-types").VueTypeValidableDef<any>;
    onClick: PropType<MouseEventHandler>;
}, () => import("vue/jsx-runtime").JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<ExtractPropTypes<{
    prefixCls: StringConstructor;
    href: StringConstructor;
    separator: import("vue-types").VueTypeValidableDef<any>;
    overlay: import("vue-types").VueTypeValidableDef<any>;
    onClick: PropType<MouseEventHandler>;
}>>, {}, CustomSlotsType<{
    separator: any;
    overlay: any;
    default: any;
}>>;
export default _default;
