import type { PropType } from 'vue';
import type { SkeletonElementProps } from './Element';
export interface SkeletonInputProps extends Omit<SkeletonElementProps, 'size' | 'shape'> {
    size?: 'large' | 'small' | 'default';
}
declare const SkeletonInput: import("vue").DefineComponent<{
    size: PropType<"large" | "small" | "default">;
    prefixCls: StringConstructor;
    active: {
        type: BooleanConstructor;
        default: any;
    };
}, () => import("vue/jsx-runtime").JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    size: PropType<"large" | "small" | "default">;
    prefixCls: StringConstructor;
    active: {
        type: BooleanConstructor;
        default: any;
    };
}>>, {
    active: boolean;
}, {}>;
export default SkeletonInput;
