"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _vue = require("vue");
var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread2"));
var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));
var _Upload = _interopRequireDefault(require("./Upload"));
var _interface = require("./interface");
const _excluded = ["height"],
  _excluded2 = ["style"];
var _default = exports.default = (0, _vue.defineComponent)({
  compatConfig: {
    MODE: 3
  },
  name: 'AUploadDragger',
  inheritAttrs: false,
  props: (0, _interface.uploadProps)(),
  setup(props, _ref) {
    let {
      slots,
      attrs
    } = _ref;
    return () => {
      const {
          height
        } = props,
        restProps = (0, _objectWithoutProperties2.default)(props, _excluded);
      const {
          style
        } = attrs,
        restAttrs = (0, _objectWithoutProperties2.default)(attrs, _excluded2);
      const draggerProps = (0, _objectSpread2.default)((0, _objectSpread2.default)((0, _objectSpread2.default)({}, restProps), restAttrs), {}, {
        type: 'drag',
        style: (0, _objectSpread2.default)((0, _objectSpread2.default)({}, style), {}, {
          height: typeof height === 'number' ? `${height}px` : height
        })
      });
      return (0, _vue.createVNode)(_Upload.default, draggerProps, slots);
    };
  }
});